<?xml version='1.0'?>
<!--########################################################################### 
 |    $Id: admonition.mod.xsl,v 1.6 2001/05/09 18:53:34 ben Exp $        
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |
 |   PURPOSE: Admonition templates. 
 + ############################################################################ -->
<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:doc="http://nwalsh.com/xsl/documentation/1.0"
    exclude-result-prefixes="doc" version='1.0'>




<doc:param name="lyx.admonition.environment" xmlns="">
    <refpurpose> 
    Declares a new environment to be used in admonition tags (warning, tip,
    important caution, note).
    </refpurpose>
    <refdescription>
        <para>This parameter is a text variable that is appended in the text
        document. You can use it to define your own environment for admonitions.
        See the stylesheets to know the default value. It requires the use of
        the fancybox package. You can redefine this parameter in your
        stylesheet. The first argument is the associated filename (e.g
        $lyx.admonition.path/warning) and the second argument is the
        admonition title (if any) or the associated generic text. </para>

        <para> When processing the admonition tag, the following code is
        generated: </para>
        <programlisting>
        \begin{admonition}{figures/warning}{My WARNING}
        ....
        \end{admonition}
        </programlisting>
    </refdescription>
</doc:param>

<xsl:variable name="lyx.admonition.environment">
<xsl:text>&#10; </xsl:text>
</xsl:variable>


<xsl:template name="admon.graphic">
<xsl:param name="node" select="."/>
<xsl:choose>
    <xsl:when test="name($node)='note'">note</xsl:when>
    <xsl:when test="name($node)='warning'">warning</xsl:when>
    <xsl:when test="name($node)='caution'">caution</xsl:when>
    <xsl:when test="name($node)='tip'">tip</xsl:when>
    <xsl:when test="name($node)='important'">important</xsl:when>
    <xsl:otherwise>note</xsl:otherwise>
</xsl:choose>
</xsl:template>


<doc:template name="note / important / warning / caution / tip"
 id="unsupported" xmlns="">
  <refpurpose>Note / Warning Elements</refpurpose>
  <refdescription>
    <para>These elements are copied as SGML Style, because no similar style
    exists in LyX.</para>
  </refdescription>
</doc:template>

<xsl:template match="note|important|warning|caution|tip">
<xsl:call-template name="unsupported.block"/>
</xsl:template>

<xsl:template match="note/title"></xsl:template>
<xsl:template match="important/title"></xsl:template>
<xsl:template match="warning/title"></xsl:template>
<xsl:template match="caution/title"></xsl:template>
<xsl:template match="tip/title"></xsl:template>

</xsl:stylesheet>
