<?xml version='1.0'?>
<!--########################################################################### 
 |    $Id: appendix.mod.xsl,v 1.3 2001/10/10 20:27:25 ben Exp $
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |                                                        
 |   PURPOSE:
 + ############################################################################ -->

<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:doc="http://nwalsh.com/xsl/documentation/1.0"
    exclude-result-prefixes="doc" version='1.0'>
 
<xsl:template match="appendix[1]">
<xsl:call-template name="appendix.template">
  <xsl:with-param name="start" select="'1'"/>
</xsl:call-template>
</xsl:template>

<xsl:template match="appendix">
<xsl:call-template name="appendix.template">
  <xsl:with-param name="start" select="'0'"/>
</xsl:call-template>
</xsl:template>

<xsl:template name="appendix.template">
<xsl:param name="start"/>
<xsl:variable name="normalized.title">
  <xsl:call-template name="normalize-scape">
  <xsl:with-param name="string" select="title"/>
  </xsl:call-template>
</xsl:variable>
<xsl:choose>
  <xsl:when test="local-name(..)='book' or local-name(..)='part'">
    <xsl:text>\layout Chapter&#10;</xsl:text>
  </xsl:when>
  <xsl:otherwise>
    <xsl:text>\layout Section&#10;</xsl:text>
  </xsl:otherwise>
</xsl:choose>
<xsl:if test="$start='1'">
  <xsl:text>\start_of_appendix&#10;</xsl:text>
</xsl:if>
<xsl:copy-of select="$normalized.title"/><xsl:text>&#10;</xsl:text>
<xsl:call-template name="label.id"/>
<xsl:apply-templates/>
</xsl:template>


<xsl:template match="appendix/title"></xsl:template>
<xsl:template match="appendix/titleabbrev"></xsl:template>
<xsl:template match="appendix/subtitle"></xsl:template>
<xsl:template match="appendix/docinfo|appendixinfo"></xsl:template>
</xsl:stylesheet>

