<?xml version='1.0'?>
<!--########################################################################### 
 |    $Id: vars.mod.xsl,v 1.6 2001/05/20 22:47:08 ben Exp $        
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |
 |   PURPOSE: User and stylesheets XSL variables 
 + ############################################################################ -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:doc="http://nwalsh.com/xsl/documentation/1.0"
    exclude-result-prefixes="doc" version='1.0'>

<doc:reference id="lyx.params" xmlns="">
  <referenceinfo>
  <author>
    <surname>Guillon</surname>
    <firstname>Benoit</firstname>
  </author>
  <copyright><year>2001</year>
    <holder>B. Guillon</holder>
  </copyright>
  </referenceinfo>

  <title>DB2LyX Parameters and Variables</title>

  <partintro>
    <section><title>Introduction</title>

    <para>The LyX parameters/variables are defined to customize the DocBook to
    LyX translation process.</para>

    <para>Some of the parameters are not specific to LyX (e.g. TOC
    depth) but others are very specific to LyX (e.g. separation choice).</para>
    </section>
  </partintro>
</doc:reference>


<!--########################################################################### 
 |  COMMON VARIABLES
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |
 + ############################################################################ -->
<doc:variable name="toc.section.depth" id="lyx.params" xmlns="">
  <refpurpose>Table Of Content Section depth.</refpurpose>
  <refdescription>
    <para>This parameter defines the output LyX Format->Document->Extra
    section depth value. It can go from 1 to 5.
    </para>
  </refdescription>
</doc:variable>

<doc:variable name="num.section.depth" id="lyx.params" xmlns="">
  <refpurpose>Table Of Content Numerotation depth.</refpurpose>
  <refdescription>
    <para>This parameter defines the output LyX Format->Document->Extra
    section numerotation value. It can go from 1 to 5.
    </para>
  </refdescription>
</doc:variable>


<xsl:variable name="default-classsynopsis-language">java</xsl:variable>

<xsl:variable name="author.othername.in.middle" select="1"/>
<xsl:variable name="refentry.xref.manvolnum" select="1"/>
<xsl:variable name="funcsynopsis.style">kr</xsl:variable>
<xsl:variable name="funcsynopsis.decoration" select="1"/>
<xsl:variable name="function.parens">0</xsl:variable>
<xsl:variable name="refentry.generate.name" select="1"/>
<xsl:variable name="show.comments" select="1"/>

<xsl:variable name="section.autolabel" select="1"/>
<xsl:variable name="section.label.includes.component.label" select="0"/>
<xsl:variable name="chapter.autolabel" select="1"/>
<xsl:variable name="preface.autolabel" select="0"/>
<xsl:variable name="part.autolabel" select="1"/>
<xsl:variable name="qandadiv.autolabel" select="1"/>
<xsl:variable name="qanda.inherit.numeration" select="1"/>
<xsl:variable name="qanda.defaultlabel">number</xsl:variable>
<xsl:variable name="biblioentry.item.separator">, </xsl:variable>
<xsl:variable name="toc.section.depth">4</xsl:variable>
<xsl:variable name="num.section.depth">4</xsl:variable>
<xsl:variable name="link.mailto.url"></xsl:variable>
<xsl:variable name="graphic.default.extension"></xsl:variable>
<xsl:variable name="toc.list.type">dl</xsl:variable>
<xsl:variable name="check.idref">1</xsl:variable>


<!--########################################################################### 
 |     LyX VARIABLES
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |
 |   PURPOSE: User and stylesheets XSL variables 
 + ############################################################################ -->

<doc:variable name="lyx.admonition.path" id="lyx.params" xmlns="">
  <refpurpose> DB2LyX graphics admonitions  </refpurpose>
  <refdescription>
    <para> </para>
  </refdescription>
</doc:variable>
<xsl:variable name="lyx.admonition.path">figures</xsl:variable>


<doc:param name="latex.bibfiles" xmlns="">
  <refpurpose>
  Controlling the output of the \bibliography{.bib}.
  </refpurpose>
  <refdescription>
    <para>The value of this parameter is output.</para>
  </refdescription>
</doc:param>
<xsl:variable name="latex.bibfiles">''</xsl:variable>


<doc:param name="latex.bibwidelabel" xmlns="">
  <refpurpose> The DB2LaTeX generated bibliography (bibitems) may either
  include all biblioentries found in the document, or only de ones explicitly
  cited with <sgmltag>citation</sgmltag>.  </refpurpose>
  <refdescription>
    <para>The environment bibliography accepts a parameter that indicates
    the widest label, which is used to correctly format the bibliography
    output. The value of this parameter is output inside the
    <literal>\begin{thebibliography[]}</literal> LaTeX command.</para>
  </refdescription>
</doc:param>
<xsl:variable name="latex.bibwidelabel">WIDELABEL</xsl:variable>


<doc:variable name="lyx.doc.separation" id="lyx.params" xmlns="">
  <refpurpose>Output LyX Format parameter.</refpurpose>
  <refdescription>
    <para>This parameter defines the output LyX
    Format->Document->Document->Separation parameter. The possible values are
    <literal>skip</literal> and <literal>indent</literal>.</para>
  </refdescription>
</doc:variable>

<doc:variable name="lyx.lang.lang" id="lyx.params" xmlns="">
  <refpurpose>Output LyX Format parameter.</refpurpose>
  <refdescription>
    <para>This parameter defines the output LyX Format->Document->Lang->Lang
    parameter. The possible values are the available languages supported by LyX.
    </para>
  </refdescription>
</doc:variable>

<doc:variable name="lyx.lang.encoding" id="lyx.params" xmlns="">
  <refpurpose>Output LyX Format parameter.</refpurpose>
  <refdescription>
    <para>This parameter defines the output LyX Format->Document->Lang->Encoding
    parameter. The possible values are the encoding supported by LyX.
    </para>
  </refdescription>
</doc:variable>


<xsl:variable name="lyx.doc.separation">skip</xsl:variable>
<xsl:variable name="lyx.lang.lang">english</xsl:variable>
<xsl:variable name="lyx.lang.encoding">auto</xsl:variable>
<xsl:variable name="latex.use.hyperref">1</xsl:variable>


<doc:param name="latex.math.support" xmlns="">
  <refpurpose> Controls the output of LaTeX packages and commands to support 
    documents with math commands and environments..</refpurpose>
  <refdescription>
    <para>If this parameter is set to 1, the stylesheets generate code to 
    <emphasis>DEFAULT: 1</emphasis> Only more code is generated. 
    </para>
  </refdescription>
</doc:param>
<xsl:variable name="latex.math.support">1</xsl:variable>


<doc:param name="latex.output.revhistory" xmlns="">
  <refpurpose> Controls  if the revision history table is generated as the
  first document table.
  </refpurpose>
  <refdescription>
    <para>If this parameter is set to 1, the stylesheets generate code to 
    <emphasis>DEFAULT: 1</emphasis> Only more code is generated. 
    </para>
  </refdescription>
</doc:param>
<xsl:variable name="latex.output.revhistory">1</xsl:variable>


<doc:variable name="lyx.book.begindocument" id="lyx.params" xmlns="">
  <refpurpose> 
    Begin document command, and default graphics extension declaration.
  </refpurpose>
  <refdescription>
    <xsl:value-of select="$lyx.book.begindocument"/>
  </refdescription>
</doc:variable>
<xsl:variable name="lyx.book.begindocument">
<xsl:text></xsl:text>
</xsl:variable>


<doc:variable name="lyx.book.afterauthor" id="lyx.params" xmlns="">
  <refpurpose> 
    LyX code that is output after the author (e.g. 
    <literal>\makeindex, \makeglossary</literal>).
  </refpurpose>
  <refdescription>
  </refdescription>
</doc:variable>
<xsl:variable name="lyx.book.afterauthor">
<xsl:text>&#10;</xsl:text>
</xsl:variable>


<doc:variable name="lyx.book.end" id="lyx.params" xmlns="">
  <refpurpose> 
    LyX code that is output at the end of the document.
  </refpurpose>
  <refdescription>
    Some user text can be added at the end of the document, but in any
    case it should end by <literal>\the_end</literal>. This is the default
    value of the parameter.
  </refdescription>
</doc:variable>
<xsl:variable name="lyx.book.end">
<xsl:text>&#10;\the_end&#10;</xsl:text>
</xsl:variable>



<!--########################################################################### 
 |     XSL VARIABLES FOR ARTICLES    
 |- ###########################################################################
 |   $Author: ben $
 |
 |   This file comes from the DB2LaTeX XSLT Stylesheets by Ramon Casellas who
 |   accepted its reuse and customization for this package.
 |
 + ############################################################################ -->

<doc:variable name="lyx.article.begindocument" xmlns="">
  <refpurpose> 
    The begin document
  </refpurpose>
  <refdescription>
  </refdescription>
</doc:variable>

<xsl:variable name="lyx.article.begindocument">
</xsl:variable>

<xsl:variable name="lyx.article.end">
<xsl:text>&#10;</xsl:text>
</xsl:variable>



</xsl:stylesheet>

